import React from 'react'
import HumanInstance from './instance/humanInstance';
import { useSceneContext } from '../../../scene/sceneContext';

function HumanInstances() {
    const { humanStore } = useSceneContext();
    const { humans } = humanStore();

    return (
        <>
            {humans.map((human: HumanStatus) => (
                <React.Fragment key={human.modelUuid}>
                    <HumanInstance human={human} />
                </React.Fragment>
            ))}
        </>
    )
}

export default HumanInstances